<template>
    <div
        v-if="shop"
        class="modal-content-push"
        :style="design ? {backgroundColor: design.windowBackgroundColor.color.hex} : {backgroundColor: notif.colors.window_background_color}"
    >
        <div class="modal-body-header">
            <div class="img-wrap">
                <img
                    class="push-img"
                    :src="notif.logo ? notif.logo : '/images/push-profile.png'"
                >
            </div>
            <div>
                <div>
                    <strong :style="design ? {color: design.headerText.color.hex} : {color: notif.colors.header_text}" v-html="replaceText(notif.title_popup)" />
                </div>
                <div>
                    <span :style="design ? {color: design.bodyText.color.hex} : {color: notif.colors.body_text}" v-html="replaceText(notif.text_popup)" />
                </div>
            </div>
        </div>
        <div class="modal-body-footer">
            <a
                :style="design ? {color: design.disallowText.color.hex} : {color: notif.colors.disallow_text}"
                href="#"
                v-html="replaceText(notif.disallow_button_text)"
            />
            <button
                :style="design ? {color: design.allowColor.color.hex, backgroundColor: design.allowBackground.color.hex} : {color: notif.colors.allow_color, backgroundColor: notif.colors.allow_background}"
                class="btn blue-btn"
                v-html="replaceText(notif.allow_button_text)"
            />
        </div>
    </div>
</template>

<script>
import shop from '../../../../mixins/shop.service'

export default {
    name: "SubCartExample",
    mixins: [shop],
    props: ['notif', 'welcome', 'design'],
    data() {
        return {
            shop: null,
        }
    },
    mounted() {
      this.loadShop()
    },
    methods: {
        async loadShop() {
            this.shop = await this.getShop()
        },
        replaceText(text) {
            text = text.replace(/{siteName}/g, this.shop.custom_name || this.shop.site_name);
            text = text.replace(/{discountValue}/g, this.welcome.automatic_discount_value);
            text = text.replace(/{storeEmail}/g,  this.shop.custom_email || this.shop.email || 'Email');

            return text;
        }
    }

}
</script>

<style scoped lang="scss">

.modal-content-push {
    background: rgb(246, 246, 246);
    overflow: hidden;
    width: 100%;
    max-width: 400px;
    padding: 0;
    -webkit-box-shadow: 0 5px 10px rgb(0 0 0 / 8%);
    box-shadow: 0 5px 10px rgb(0 0 0 / 8%);
}

.modal-body-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 25px 25px 25px;

    a {
        color: black;
        margin-right: 20px;
    }
}

.modal-body-header {
    display: flex;
    padding: 20px 20px 0 20px;
    span {
        font-size: 12px;
    }
}

.img-wrap {
    margin-right: 25px;

}
.push-img {
    max-width: 50px;
    max-height: 50px;
}

</style>
